% Diffusion from a finite source -h<x<h

% equation taken from Crank (1975) 2nd edition, equation 2.14
% d     diffsuion coefficient
% x     space coordinate
% h     half width of source
% t     time coordinate
% c     tracer concentration

% IC    c=1, -h<x<h, t=0
%       c=0,x<-h, x>h, t=0
% BC    c=0, x=-infty, t>0
%       c=0, x= infty, t>0

clear all
x =-5: 0.1: 5;
d = 10^(-5);
h = .5;
for t = 10:1e4:1e5
    c = 0.5*(erf((h-x)/(2*(d*t)^(1/2)))+erf((h+x)/(2*(d*t)^(1/2))));
    plot(x,c)     
    axis([-5  5  -.5  1.5])
    pause(0.1);
    drawnow;
    %title([' time: ', num2str(t),' diffusion coefficient:', num2str(d)]);
    %xlabel('distance x');
    %ylabel('concentration');
    hold on
end
