% Diffusion from a point source
% equation taken from Crank (1975) 2nd edition, equation 2.6
% d     diffusion coefficient
% x     space coordinate
% t     time coordinate
% m     amount of tracer added

clear all
x = (-5: 0.1: 5)';
d = 10^(-5);
for t = 10:1e4:1e6
    y = exp(-x.^2/(4*d*t))/(2*(pi*d*t)^(1/2)); %normalized concentration;
    plot(x,y)
    axis([-5  5  -1  2]); pause(0.1)
    %title([' time: ', num2str(t),' total mass:', num2str(m),' diffusion coefficient:', num2str(d)]);
    %xlabel('distance x');
    %ylabel('concentration');
    %hold on
end
