% Diffusion from a fixed concentration boundary into half infinite space x>0

% eqauation taken from Crank (1975) 2nd edition, equation 2.14
% d     diffsuion coefficient
% x     space coordinate
% t     time coordinate
% c     tracer concentration

% IC    c=0, x>0, t=0
% BC    c=1, x=0, t>0
%       c=0, x= infty, t>0

clear all
x = (-5: 0.1: 5)';
d = 10^(-5);
for t = 10:1e4:1e5
    c = 1-erf(x/(2*(d*t)^(1/2)));
    plot(x,c)
    axis([0  5  -.5  1.5]), pause(0.1)
    %title([' time: ', num2str(t),' diffusion coefficient:', num2str(d)]);
    %xlabel('distance x');
    %ylabel('concentration');
    %hold on;
    %m=m+1;
    %M(m)=getframe;
end
%movie(M,0);
%movie2avi(M,'erfmov');